<!DOCTYPE html>
<html>
 <head>
  <title> Ejercicios </title>
	  <style>
		div.ejercicio {	font-family: verdana, calibri, sans-serif;
		font-size: 10pt;
		font-weight: light;
		background-color: lightyellow;
		border: 2px solid blue;
		margin:3px;
		padding: 4px;}
		
		
		div.imagen1 {
		width: 200px;
		height: 200px;
		background: url('pixels50x50.bmp');
		border: 2px solid black;
		background-repeat: no-repeat;
		margin: 5px;
		background-position: center center;
		}
		
		div.imagen2 {
		width: 200px;
		height: 200px;
		background: url('pixels50x50.bmp');
		border: 2px solid red;
		background-repeat: repeat-x;
		margin: 5px;
		background-position: bottom left;
		}
		
		div.imagen3 {
		width: 200px;
		height: 200px;
		background: url('pixels50x50.bmp');
		border: 2px solid blue;
		background-repeat: repeat-y;
		margin: 5px;
		background-position: right;
		}
		
		div.bloque1 {
		width: 300px;
		height: 200px;
		margin:2px;
		background-color: lightblue;
		display: inline-block;
		}
		
		div.bloque2 {
		width: 300px;
		height: 200px;
		margin:2px;
		background-color: lightgreen;
		display: inline-block;
		}
		
		div.bloque3 {
		width: 300px;
		height: 200px;
		margin:2px;
		background-color: lightcoral;
		display: inline-block;
		}
		
		div.caja1 {
		width: 100px;
		height: 100px;
		padding:4px;
		background-color: lightgreen;
		display: inline-block;
		position:relative;
		left:50px;
		top:100px;
		opacity:0.8;
		}
		
		div.caja2 {
		width: 100px;
		height: 100px;
		padding:4px;
		background-color: red;
		display: inline-block;
		position:relative;
		top:50px;
		opacity:0.8;
		}
		
		div.caja3 {
		width: 100px;
		height: 100px;
		padding:4px;
		background-color: blue;
		display: inline-block;
		position:relative;
		left:-110px;
		top:120px;
		opacity:0.8;
		}
		
		
		#span1{
		background-color: green;
		color: white;
		font-weight: bold;
		width: 105px;
		height: 20px;
		padding: 10px;
		text-align: center;
		display: inline-block;
		position:relative;
		}
		
		#span2{
		background-color: red;
		color: white;
		Font-weight: bold;
		width: 105px;
		height: 20px;
		padding: 10px;
		text-align: center;
		display: inline-block;
		position:relative;
		bottom: 10px;
		left: 140px;
		}
		
		#span3{
		background-color: blue;
		color: white;
		Font-weight: bold;
		width: 105px;
		height: 20px;
		padding: 10px;
		text-align: center;
		display: inline-block;
		position:relative;
		bottom: 20px;
		left:280px;
		}
			
		#span4{
		background-color: blue;
		color: white;
		font-weight:bold;
		font-size: 8pt;
		width: 250px;
		height: 8px;
		padding: 10px;
		text-align: center;
		display: inline-block;
		}
		
		#span5{
		background-color: red;
		color: white;
		font-weight:bold;
		font-size: 8pt;
		width: 250px;
		height: 8px;
		padding: 10px;
		text-align: center;
		display: inline-block;
		}
		
		#span6{
		background-color: green;
		color: white;
		font-weight:bold;
		font-size: 8pt;
		width: 250px;
		height: 8px;
		padding: 10px;
		text-align: center;
		display: inline-block;
		}
		
		#span7{
		background-color: blue;
		color: white;
		font-weight:bold;
		font-size: 8pt;
		width: 250px;
		height: 8px;
		padding: 10px;
		text-align: center;
		display: block;
		}
		
		#span8{
		background-color: blue;
		color: white;
		font-weight:bold;
		font-size: 8pt;
		width: 250px;
		height: 8px;
		padding: 10px;
		text-align: center;
		display: block;
		}
		
		#span9{
		background-color: red;
		color: white;
		font-weight:bold;
		font-size: 8pt;
		width: 250px;
		height: 8px;
		padding: 10px;
		text-align: center;
		display: block;
		}
		
		#span10{
		background-color: green;
		color: white;
		font-weight:bold;
		font-size: 8pt;
		width: 250px;
		height: 8px;
		padding: 10px;
		text-align: center;
		display: block;
		}
		
		div.bloqueverde1 {
		width: 900px;
		height: 50px;
		margin: 2px;
		background-color: lightgreen;
		display: block;
		padding: 20px;
		text-align: center left;
		}
		
		div.bloqueverde2 {
		width: 900px;
		height: 100px;
		margin: 2px;
		background-color: lightgreen;
		display: block;
		padding: 20px;
		text-align: center left;
		}
		
		span.subrayado{text-decoration: underline;
        }
        
        span.rojo{color: red;
        }
        
        span.verde{color: green;
        }
        
        span.marron{color: brown; 
        }
		
		table, th, td {
		border: 1px solid black;
		}
		
		
	  </style>
 </head>
 <h1>Ejercicios</h1>
	<body>
		<div class="ejercicio">
		<h2>Ejercicio 1</h2>
			Crea tres bloques < div > de 200px de ancho y 200px de alto. asigna a cada uno de ellos una imagen de fondo 50x50 y un borde distinto. Se deberan cumplir los siguientes requerimientos
				<ol type="A">
					<li>En el primer bloque, la imagen de fondo no se repetira y estara centrada tanto vertical como horizontalmente
					<div class="imagen1">
					</li>
					<li>En el segundo bloque, la imagen se repetira horizontalmente y estara situada en la parte inferior
					<div class="imagen2">
					</li>
					<li>En el tercer bloque, la imagen se repetira verticalmente y se situara a la derecha
					<div class="imagen3">
					</li>
				</ol>
		</div>
	<div class="ejercicio">
	<h2>Ejercicio 2</h2>
		Crea un documento web que contenga una tabla con la siguiente estructura:
			<table>
				<tr>
					<td colspan="3">Celda1</td>
				</tr>
				<tr>
					<td rowspan="2">Celda2</td>
					<td>Celda3</td>
					<td rowspan="2">Celda4</td>
				</tr>
				<tr>
					<td>Celda5</td>
				</tr>				
			</table>
	</div>
	<div class="ejercicio">
	<h2>Ejercicio 3</h2>
		Crea un documento que muestre este resultado utilizando los elementos que has estudiado (encabezados, listas y efectos de texto)
	<h2>Cosas que son ciertas</h2>
		<ol type="A">
			<li><b>Ventajas de beber agua (H<sub>2</sub>O)</b></li>
				<ul>
				<li type="disc">No tiene azúcar</li>
				<li type="disc">Es barata</li>
				</ul>			
			<li>Magnitudes en <u>informatica</u></li>
				<ul>
				<li type="disc">1 GB son 10<sup>3</sup> MB</li>
				<li type="disc">1 Gib son 2<sup>10</sup> MB</li>
				</ul>
		</ol>
	</div>
	<div class="ejercicio">
	<h2>Ejercicio 4</h2>
		Crea un documento web en el que anides hasta tres niveles de listas ordenadas, situando en cada nivel un tipo de numeracion diferente, como en el siguiente ejemplo:
		<ol type="1">
			<li>Lista Principal
			<ol type="a">
				<li>Lista secundaria</li>
				<ol type="I">
					<li>Tercera lista</li>
					<li>Otro elementos</li>
				</ol>
				<li>Lista Secundaria 2</li>
			</ol>
			</li>
		</ol>
	</div>
	<div class="ejercicio">
	<h2>Ejercicio 5</h2>
		Crea un documento con tres elementos < div > situados uno junto a otro con diferentes colores de fondo y tamaño de 300px de ancho y 200px de alto.
			<br>	
				<div class="bloque1">Primer Bloque</div>
				<div class="bloque2">Segundo Bloque</div>
				<div class="bloque3">Tercer Bloque</div>
				
	</div>	
	<div class="ejercicio">
    <h2>Ejercicio 6</h2>
		A partir de los siguientes elementos HTML
		<br>
		< body ></br>
		<br>< div >< span id="span1" >Elemento 1< /div ></br>
		<br>< div >< span id="span2" >Elemento 2< /div ></br>
		<br>< div >< span id="span3" >Elemento 3< /div ></br>
		<br> < /body ></br>
			... crea el codigo CSS para que el resultado final que se visualice en el navegador sea similar al siguiente:
			<div><span id="span1"><center>Elemento 1</center></div>
			<div><span id="span2"><center>Elemento 2</center></div>
			<div><span id="span3"><center>Elemento 3</center></div>
	</div>
	<div class="ejercicio">
	<h2>Ejercicio 7</h2>
		Crea los codigos HTML y CSs necesarios para visualizar este resultado en pantalla:
		<br>
            <h2><span class="rojo">Receta de bizcocho <span class="subrayado">casero</span></span></h2>
            <br><h3><span><u>Ingredientes</u></span></h3></br>
                <ul type="disk">
                        <li><span class="subrayado">200 gramos de </span><span class="verde">azucar</span></li>
                        <li><span class="subrayado">200 gramos de </span><span class="rojo">harina</span></li>
                        <li><span class="subrayado">60 ml de </span><span class="marron">leche</span></li>
                        <li><span class="subrayado">3 huevos </span><span class="verde">grandes</span></li>
                        <li><span class="subrayado">8 gramos de </span><span class="rojo">levadura</span></li>
                        <li><span class="subrayado">100 ml de </span><span class="marron">aceite de oliva</span></li>
                </ul>
        <h3>No puedes utilizar etiquetas HTML para modificar el aspecto del texto, sino únicamente, la etiqueta < span > junto con clases para los colores y el formato (negrita, subrayado, etc.)
        <br>Un elemento HTML puede tener más de una clase si estas se separan por ejemplo < span class="rojo negrita" ></br>
		
		
	</div>
	<div class="ejercicio">
	<h2>Ejercicio 8</h2>
		Crea un documento HTML con tres bloques de 100 pixeles de ancho y alto. dichos bloques deberan tener un color de fondo semitransparente y superponerse utilizando la propiedad left, bottom y <b>top</b>, con el fin de observar como se mezclan los colores.
		<br>
        <div class="caja1"></div>
        <div class="caja2"></div>
        <div class="caja3"></div>
		<br>
		<br>
		<br>
		<br>
		<br>
		<br>
		<br>
		<br>
		<br>
    </div>

	</div>
	<div class="ejercicio">
	<h2>Ejercicio 9 </h2>
		Crea un documento web con dos elementos div y varios enlaces dentro de cada uno. En el primer div los enlaces deberan tener un ancho de 150px y una altura de 50px. Ademas el color de la fuente sera blanco y cada texto presentara un fondo de color distinto. Los textos se situaran uno junto al otro. En el segundo div los enlaces tendran las mismas propiedades que en el primero pero se situaran uno debajo del otro. El HTML de ambos parrafos debera ser identico, con la excepcion de los atributos id y class
			
			<div class="bloqueverde1">
			<span id="span4"><a href="https://www.elmundo.es/" style="color:white">Enlaces al periodico "El Mundo"</a></span>
			
			<span id="span5"><a href="https://www.abc.es/" style="color:white">Enlaces al periodico "ABC"</a></span>
			
			<span id="span6"><a href="https://www.publico.es/" style="color:white">Enlaces al periodico "Publico"</a></span>
			</div>
			<br>
			<div class="bloqueverde2">
			<span id="span8"><a href="https://www.elmundo.es/" style="color:white">Enlaces al periodico "El Mundo"</a></span>
			<br>
			<span id="span9"><a href="https://www.abc.es/" style="color:white">Enlaces al periodico "ABC"</a></span>
			<br>
			<span id="span10"><a href="https://www.publico.es/" style="color:white">Enlaces al periodico "Publico"</a></span>
			<br>
			</div>
	</div>
	
	</body>
	
	

</html>